package com.aucma.base.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.aucma.base.mapper.StandardDocumentMapper;
import com.aucma.base.domain.StandardDocument;
import com.aucma.base.service.IStandardDocumentService;

@Service
public class StandardDocumentServiceImpl implements IStandardDocumentService {
    @Autowired
    private StandardDocumentMapper standardDocumentMapper;

    @Override
    public StandardDocument selectStandardDocumentByObjId(Long objId) {
        return standardDocumentMapper.selectStandardDocumentByObjId(objId);
    }

    @Override
    public List<StandardDocument> selectStandardDocumentList(StandardDocument standardDocument) {
        return standardDocumentMapper.selectStandardDocumentList(standardDocument);
    }

    @Override
    public int insertStandardDocument(StandardDocument standardDocument) {
        return standardDocumentMapper.insertStandardDocument(standardDocument);
    }

    @Override
    public int updateStandardDocument(StandardDocument standardDocument) {
        return standardDocumentMapper.updateStandardDocument(standardDocument);
    }

    @Override
    public int deleteStandardDocumentByObjIds(Long[] objIds) {
        return standardDocumentMapper.deleteStandardDocumentByObjIds(objIds);
    }

    @Override
    public int deleteStandardDocumentByObjId(Long objId) {
        return standardDocumentMapper.deleteStandardDocumentByObjId(objId);
    }
}
